#!/bin/bash

# Remember to create type atsrSet before launching this!
# It is defined as follows:
# typedef marray <char, [*:*, *:*, 0:*]> atsr;
# typedef set<atsr> atsrSet; 

#rasql -q 'delete from petascopeTest where true' --user rasadmin --passwd rasadmin
rasql -q "create collection petascopeTest atsrSet" --user rasadmin --passwd rasadmin
rasql -q 'insert into petascopeTest values marray x in  [0:99,0:99,0]values 0c' --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,1] assign inv_tiff($1)' --file 01_100x100-000000.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,2] assign inv_tiff($1)' --file 02_100x100-141414.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,3] assign inv_tiff($1)' --file 03_100x100-282828.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,4] assign inv_tiff($1)' --file 04_100x100-3C3C3C.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,5] assign inv_tiff($1)' --file 05_100x100-505050.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,6] assign inv_tiff($1)' --file 06_100x100-646464.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,7] assign inv_tiff($1)' --file 07_100x100-787878.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,8] assign inv_tiff($1)' --file 08_100x100-8C8C8C.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,9] assign inv_tiff($1)' --file 09_100x100-A0A0A0.tif --user rasadmin --passwd rasadmin
rasql -q 'update petascopeTest as m set m[0:99,0:99,10] assign inv_tiff($1)' --file 10_100x100-B4B4B4.tif --user rasadmin --passwd rasadmin

exit 0
